var tmpl=`
<el-dialog :title="title" :visible.sync="dialogTableVisible">
  <div ref="multipleTable">
    <gsb-grid
      ref="refGrid"
      :bizCode="bizCode"
      spaceHeight="300"
      :modelName="modelName"
      listMethod="findAndCountAll"
      deleteMethod="delete"
      initMethod="initNewInstance"
      isDataAuto="true"
     :isSingleSelect="isSingleSelect"
     :colFormatter="colFormatter"
     @multiSelect="multiSelect"
     @toolbarclick="toolbarclick"
     :dfQuery="defaultQuery">
    </gsb-grid>
  </div>
</el-dialog>
`
module.exports=
`{
   template:'${tmpl}',
   props:["bizCode","modelName","isSingleSelect","colFormatter","title","dfQuery"],
   data:function(){
     return {
        dialogTableVisible:false,
        defaultQuery:this.dfQuery?this.dfQuery:{},
     };
   },
   created:function(){

   },
   mounted:function(){

   },
   computed:{

   },
   methods:{
     refreshData(){
        this.$refs.refGrid.fetchData();
     },
     show(){
       this.dialogTableVisible=true;
     },
     close(){
       this.dialogTableVisible=false;
     },
     onColFormater(row,column,cellvalue,index){
       console.log("wwwwwwwwwwwwwwwwwwwwwwwww");
       console.log(val);
       this.$emit("referenceColFormater",row,column,cellvalue,index);
     },
     multiSelect(val){
        this.$emit("multiSelect",val);
     },
     toolbarclick(key,b){

       this.$emit("toolbarclick",key,b);
     }
   },
   vname:"gsb-dlgreference2"
}`
